---
layout: policy
title: Privacy Policy
permalink: /privacy-policy.html
---

**Last Updates: 14 August 2022**

## Introduction

Stack Wallet LLC ("Stack Wallet", "Company", or "We") policy is to respect and protect the privacy of the users of our App. We collect only minimal information and data to understand our customers and tailor our services to better serve them.

This policy describes the types of information we may collect from you or that you may provide when you use the App (our "App") and our practices for collecting, using, maintaining, protecting, and disclosing that information.

This policy applies to information we collect:

* On this App.

* In email, text, and other electronic messages between you and this App.

It does not apply to information collected by:

* Us offline or through any other means, including on any other App operated by Company or any third party (including our affiliates and subsidiaries)]; or

* Any third party (including our affiliates and subsidiaries), including through any application or content (including advertising) that may link to or be accessible from or on the App.

Please read this policy carefully to understand our policies and practices regarding your information and how we will treat it. If you do not agree with our policies and practices, you have the choice to not use the App. By accessing or using this App, you agree to this privacy policy. This policy may change from time to time. Your continued use of this App after we make changes is deemed to be acceptance of those changes, so please check the policy periodically for updates.

## Definitions

"App" means any software program provided by the Company, downloaded by You on any electronic device, including but not limited to Stack Wallet.

"Device" means any device that can access the App, such as a cell phone or tablet device.

"Node" means a server on a supported cryptocurrency network which transmits data to your App for processing and synchronization, and to which your Device transmits transactions which you would like to submit to the supported cryptocurrency networks. This includes full nodes, Electrum servers and EpicPost.

"Stack Wallet Nodes" refers to the set of cryptocurrency Nodes operated and maintained by Stack Wallet LLC.

"Service" refers to the App.

"Third-party Service" refers to any service integrated into the App. This includes but is not limited to ChangeNOW.

“Usage Data" refers to data collected automatically about your usage of an App.

"You" means the individual, group, corporation, or any other entity accessing or using the Service.

## Information We Never Receive Nor Collect

Usage Data (including the date and time at which you use an application, the duration of using it, and other ‘metadata’) is NOT collected by Stack Wallet through the usage of the App. Stack Wallet has no reason to care about any aspect of your continued usage of our App. We believe that this data is your own property and that we have no right to collect it.

Data relating to your funds, and their security and privacy, remains on your device at ALL times. Your private keys and their associated view keys, seeds, backup files, and wallet passcode are your own responsibility. This data is not received, collected, or stored by Stack Wallet at any time, for any reason.

## Information We May Receive But Do Not Retain or Retain Temporarily

We receive but do NOT store information from and about users of our App, including:

- The block height to which your wallet is synchronized, and any transactions or channels which you use our Node to submit to supported cryptocurrency networks.

We receive this information:

- Automatically as you use the App.

This data is provided by connecting to the Nodes and price API maintained by Stack Wallet. You have the right to choose not to provide synchronization data to Stack Wallet by choosing a different Node. We provide a list of Nodes in the app that include our own and third party Nodes, or you can use your own Node (which we recommend).

Personal Data sent through the Stack Wallet Nodes is limited to your device's IP address, the block height to which your wallet is synchronized, and any transactions or channels which you use our Node to submit to the supported cryptocurrency networks. Personal Data received by Stack Wallet in this manner is not stored for any length of time, and thus Stack Wallet is both unwilling to and incapable of sharing this data, or using it for any purpose beyond ensuring your appropriate connection to our Nodes.

If you decide to use a Node offered by any third party, some of which we include in our Apps, said third party will receive this Personal Data instead of Stack Wallet. We take no responsibility for the actions of any third-party Node offered within the Application. We recommend connecting to your own Node to limit third party sharing of your Personal Information.

## Information We May Receive and Retain Temporarily

We receive but only store information temporarily for the following:

We maintain default server logs from our servers for 3 days so that we can detect error and crashes and any failures. These logs may contain your device IP’s address, but these aren’t linked to your activity on Stack Wallet’s Nodes. Logs that are older than 3 days are purged daily and are not retained.

We receive this information:

- Automatically as you use the App.

## Information We May Receive and Retain

We maintain default logs on Stack Wallet Nodes for 3 days so that we can detect errors, crashes and any failures. Logs that are older than 3 days are purged daily and are not retained.

These logs may contain your device IP’s address. Your device IP’s address is compared against a locally hosted geolocation database to identify its country of origin and then purged immediately so that your device IP address is not logged, only aggregated data sorted by country. We use this information to understand where our customers are from and to improve localization and marketing efforts. We do not share this information with any third parties.

We receive this information:

- Automatically as you use the App.

## Information We May Collect About You and How We Collect It

We collect several types of information from and about users of our App, including information:

* By which you may be personally identified, such as name, e-mail address, or and a/any other identifier by which you may be contacted online or offline ("personal information" or "Personal Data”), ONLY when you provide it to us;

We collect this information:

- Directly from you when you provide it to us.

Personal information is received by Stack Wallet ONLY in the event that you choose to provide it to us by voluntarily contacting Stack Wallet regarding support, questions or suggestions.

## How We Use Your Information

We use information that we collect about you or that you provide to us, including any personal information:

To present our App and its contents to you.

To contact you: In the event that you contact Stack Wallet first, we will use the Personal Data with which you provide us, to contact you by email, Telegram, Reddit, or any other means.

To manage your requests: To attend and manage your requests to us.

To ascertain where our App’s users are from on a country level so that we may prioritize localization efforts, marketing and the location of our Stack Wallet Nodes.

For any other purpose with your consent.

## Transfer of Your Personal Data

Personal Data received by the Stack Wallet Nodes, or voluntarily submitted to Stack Wallet through e-mail, Telegram, Reddit, or any other method, may be transferred to computers located outside of your governmental jurisdiction, where the data protection laws may differ from yours. Your consent to this Privacy Policy, and your submission of such information, represents your agreement to this transfer.

Stack Wallet will take all necessary steps to ensure that your data is treated securely and in accordance with this Privacy Policy. No transfer of your Personal Data will take place to an organization or a country, unless there are adequate controls in place to protect the security of your data.

## Disclosure of Your Information

We may disclose aggregated information about our users, and information that does not identify any individual, without restriction. For example, we may, from time to time, disclose the number of users who have downloaded our App.

We may disclose personal information that we collect or you provide as described in this Privacy Policy:

- To our subsidiaries and affiliates.

- To contractors, service providers, and other third parties we use to support our business and who are bound by contractual obligations to keep personal information confidential and use it only for the purposes for which we disclose it to them.

- To a buyer or other successor in the event of a merger, divestiture, restructuring, reorganization, dissolution, or other sale or transfer of some or all of Stack Wallet's assets, whether as a going concern or as part of bankruptcy, liquidation, or similar proceeding, in which personal information held by Stack Wallet about our App users is among the assets transferred. However, we will provide notice before this Personal Data is transferred and becomes subject to a different Privacy Policy.

- To fulfill the purpose for which you provide it.

- For any other purpose disclosed by us when you provide the information.

- With your consent.

We may also disclose your personal information:

- To comply with any court order, law, or legal process, including to respond to any government or regulatory request.

- To enforce or apply our terms of use and other agreements, including for billing and collection purposes.

- If we believe disclosure is necessary or appropriate to protect the rights, property, or safety of Stack Wallet, our customers, or others.

Under certain circumstances, Stack Wallet may be required by authorities to disclose Personal Data which you voluntarily provide us, including your e-mail address, Telegram username, or Reddit username. WE STRONGLY RECOMMEND THAT YOU DO NOT TRANSMIT ANY PERSONALLY IDENTIFIABLE INFORMATION TO US VIA THESE OR ANY OTHER METHODS.

## Data Security

You are responsible for your personal data, including all data related to the safety of your funds. You should take all appropriate action to protect this data. Stack Wallet cannot recover any data related to your funds in the event that you lose or give away this data. Stack Wallet strongly recommends that you take action to secure your funds, by writing down your seeds or keys, storing encrypted backups, and never sharing this information.

Stack Wallet undertakes any and all reasonable steps possible to secure any data that you voluntarily transmit to us. However, we cannot guarantee that any outside system used to transmit this data is entirely secure and, as such, we recommend that you exercise caution when voluntarily transmitting data to us.

In any situation, Stack Wallet takes no responsibility for interception of personal data by any outside individual, group, corporation, or institution. You should understand this and take any and all appropriate actions to secure your own data.

## Links to Other Websites and  Third Parties

The App may contain links to other websites and/or integrations with Third-Party Services that are not operated by us. If you click on a third-party link or use such Third-Party Services, you will be directed to that third party's site or have your request pushed through their APIs. We strongly advise you to review the Privacy Policy of every site or Third-Party Service you visit/use. We have no control over and assume no responsibility for the content, privacy policies or practices of any third-party sites or Third-Party Services.

## Changes to Our Privacy Policy

It is our policy to post any changes we make to our privacy policy on this page. If we make material changes to how we treat our users' personal information, we will notify you through a notice on the App. The date the privacy policy was last revised is identified at the top of this document. You are responsible for periodically visiting our App and this privacy policy to check for any changes to our Privacy Policy.

## Contact Us

If you have any questions about this Privacy Policy, you are encouraged to contact us by email at support@stackwallet.com.

