---
layout: policy
title: Terms of Service
permalink: /terms-of-service.html
---

**Last Updated: August 13, 2022**

These Terms of Use ("**Terms**") are entered into by you and Stack Wallet LLC, a New Mexico limited liability company ("**Stack Wallet**," "**Company**," "**us**," "**our**," and "**we**"), and set forth the legally binding terms and conditions that govern your use and access to our website located at [https://stackwallet.com](https://stackwallet.com/) (the "**Website**") and our smobile device application, Stack Wallet (the "**Mobile Application**"; together with the Website, collectively, the "**Application**"), including related trademarks, software code, and other intellectual property, and any services we provide through the Application (the "**Services**"). These Terms expressly cover your rights and obligations, and our disclaimers and limitations of legal liability, relating to your use of, and access to, the Application.

The Application is a copyrighted work belonging to Stack Wallet. Please refer to our Privacy Policy (our "**Privacy Policy**") for information on how we collect, use, and disclose information from our users. You acknowledge and agree that your use of the Services is subject to, and we can collect, use, and/or disclose your information (including any personal data you provide to us) in accordance with, our Privacy Policy. All such additional terms, guidelines, and rules, including our Privacy Policy, are incorporated by reference into these Terms.

By clicking "I agree" or by accessing or using the Application, you are accepting these terms (on behalf of yourself or the entity that you represent, including without limitation, the mandatory arbitration provision in Section 11. If you do not agree with all of the provision of these terms or our Privacy Policy, do not access or use the Application.

Please carefully review the disclosures and disclaimers set forth in Section 9 in their entirety before using any software initially developed by Stack Wallet. The information in Section 9 provides important details about the legal obligations associated with your use of the Application.

## 1.  **Use of the Application**

**1.1** As a condition to accessing or using the Application, you represent and warrant to Stack Wallet that your access to the Application is not (a) prohibited by and does not otherwise violate or assist you to violate any domestic or foreign law, rule, statute, regulation, by-law, order, protocol, code, decree, or another directive, requirement, or guideline, published or in force that applies to or is otherwise intended to govern or regulate any person, property, transaction, activity, event or other matter, including any rule, order, judgment, directive or other requirement or guideline issued by any domestic or foreign federal, provincial or state, municipal, local or other governmental, regulatory, judicial or administrative authority having jurisdiction over Stack Wallet, you, the Application, or as otherwise duly enacted, enforceable by law, the common law or equity (collectively, "**Applicable Laws**"); or (b) contribute to or facilitate any illegal activity.

**1.2.**  We do not charge any fees for your use of the Application. However, through the Application, you may gain access to services provided by a third party. The fees and price estimates in connection with your use of those third-party services are not governed by these Terms, but are instead governed by the terms of use of the applicable third parties providing such services. We recommend that you review the terms and conditions of such third parties carefully before using any services provided by such third parties.

**1.3**  In connection with your use of the Application, you are required to pay all gas or other transaction fees necessary for interacting with the blockchain, as well as all other fees reflected on the Application as provided by our third-party service providers, if any. The value of the gas or other transaction fee may change, and is entirely outside of the control of Stack Wallet. Although we attempt to provide accurate fee information, this information reflects our estimates of fees, which may vary from the actual fees paid to interact with the blockchain. You acknowledge that under no circumstances will a transaction be invalidated, revocable, retractable, or otherwise unenforceable on the basis that the gas or other transaction fee for the given transaction was unknown, too high, or otherwise unacceptable to a user. You also acknowledge and agree that the gas or any other transaction fee is non-refundable under all circumstances.

## 2.  **Prohibited Use**

**2.1.**  You may not use the Application to engage in the categories of activity set forth below ("**Prohibited Uses**"). The specific activities set forth below are representative, but not exhaustive, of Prohibited Uses. If you are uncertain as to whether or not your use of the Application involves a Prohibited Use or have other questions about how these requirements apply to you, then please contact us at support@stackwallet.com. By using the Application, you confirm that you will not use the Application to do any of the following:

**a)**  violate any Applicable Laws;

**b)**  unless in accordance with Section 3, engage in transactions involving items that infringe or violate any copyright, trademark, right of publicity or privacy or any other proprietary right under Applicable Law, including but not limited to use of Stack Wallet's intellectual property, name, or logo, including use of Stack Wallet's trade or service marks, without express consent from Stack Wallet or in a manner that otherwise harms Stack Wallet, or any action that implies an untrue endorsement by or affiliation with Stack Wallet;

**c)**  use the Application in any manner that could interfere with, intercept, disrupt, negatively affect, or inhibit other users from fully enjoying the Application, or that could damage, disable, overburden, or impair the functioning of the Application in any manner;

**d)**  use any robot, spider, crawler, scraper, or other automated means or interface not provided by us, to access the Application or to extract data, or introduce any malware, virus, Trojan horse, worm, logic bomb, drop-dead device, backdoor, shutdown mechanism or other harmful material into the Application;

**e)**  provide false, inaccurate, or misleading information while using the Application or engage in activity that operates to defraud Stack Wallet, other users of the Application, or any other person;

**f)**  use or access the Application to transmit or exchange crypto assets that are the direct or indirect proceeds of any criminal or fraudulent activity, including, without limitation, terrorism or tax evasion; or

**g)**  encourage, induce or assist any third party, or yourself attempt, to engage in any of the activities prohibited under this Section 2 or any other provision of these Terms.

## 3.  **Intellectual Property Rights**

**3.1.**  Subject to Section 3.2, the Application and associated documentation files (the "**Software**"), is licensed under GPL-3 and MIT licenses. The source code denotes which sections of code are governed under which license.

**3.2.**  The Company name, the term "Stack Wallet," the Company logo, and all related names, logos, product and service names, designs, and slogans are trademarks of Stack Wallet or its affiliates or licensors. You are prohibited from using such marks without the prior written consent of Stack Wallet. All other names, logos, product or service names, designs, and slogans on the Application are the trademarks of their respective owners.

**3.3.**  You acknowledge that all the intellectual property rights, including copyrights, patents, trademarks, and trade secrets, in the Application and its content are owned by Stack Wallet. Neither these Terms (nor your access to the Application) transfers to you or any third party any rights, title or interest in or to such intellectual property rights, except for the rights expressly set forth in these Terms. Stack Wallet and its suppliers reserve all rights not granted in these Terms.

## 4.  **Third-Party Materials and Services**

**4.1.**  The Application may provide links to third-party websites, applications, or resources ("**Third-Party Materials**"). We make no warranties or representations, express or implied, about such linked Third-Party Materials, the third parties by whom such Third-Party Materials are owned and operated, the information contained thereon or the suitability of their products or services. You acknowledge that you are solely responsible for and assume all risk arising from your use of any Third-Party Materials.

**4.2.**  The Services may incorporate, or provide access to, applications or materials that are hosted by a third party, including but not limited to cryptocurrency exchanges such as [ChangeNow](https://changenow.io/) ("**Third-Party Providers**"). You understand and agree that all cryptocurrency exchanges and information provided through the Services are executed by Third-Party Providers, and that Stack Wallet does not itself directly exchange virtual currencies or provide information relating to any crypto asset prices. Access to Third-Party Providers may be geo-blocked for residents of certain countries and certain states of the United States.

**4.3.**  Third-Party Providers may require you to share certain personal information in order to provide with you with their services subject to the terms and conditions of each relevant Third-Party Provider, including any such information the Third-Party Providers may require for "Know-Your-Customer" purposes in order to comply with the relevant laws or regulations to which such Third-Party Providers may be subject. Unless otherwise set forth in Stack Wallet's Privacy Policy, Stack Wallet does not collect or control any such personal information collected by Third-Party Providers. We do not control the terms, policies, or performance of any third party, and are not responsible for any performance, or failure to perform, of any third-party software, website, or services, including pricing information, exchange rates, processing of crypto asset purchases, and similar activities. We do not provide customer support for transactions performed on Third-Party Providers' software, website, or services.

## 5.  **Modification, Suspension, and Termination of Services**

**5.1.**  We may, at our sole discretion and with or without prior notice to you, discontinue or change the Application, in whole or in part, for any reason whatsoever at any time. We will not be liable for any losses suffered by you resulting from any modification to the Application or from any modification, suspension, or termination, for any reason, of your access to all or any portion of the Application.

**5.2.**  You acknowledge and agree that Stack Wallet will have no obligation to provide you with any support or maintenance in connection with the Application.

**5.3.**  Subject to this Section, these Terms will remain in full force and effect while you use or access the Application. Sections 6 through 13 of these Terms will survive any termination of your access to the Application, regardless of the reasons for its expiration or termination, in addition to any other provision which by law or by its nature should survive.

## 6.  **Risks**

**6.1.**  You alone are responsible for securing your private keys. We do not have access to your private keys. Losing control of your private keys will permanently and irreversibly deny you access to crypto assets on any blockchain-based network. Neither Stack Wallet nor any other person or entity will be able to retrieve or protect your crypto assets. If your private keys are lost, then you will not be able to transfer your crypto assets to any other blockchain address or wallet, or otherwise realize any value or utility from the crypto assets that you may hold.

**6.2.**  The nature of crypto assets may lead to an increased risk of fraud or cyber attack. Advancements in the field of cryptography and the continuous development of blockchain networks may present risks and vulnerabilities to crypto assets and the Application, and could result in the theft or loss of your crypto assets.

**6.3.**  You acknowledge and understand that the Application is subject to flaws and that you are solely responsible for evaluating any code provided by the Application. These risks include, among others, delays in withdrawals and deposits resulting from the servers of Stack Wallet being offline; or an incorrect display of information on the Application in the case of server errors. You acknowledge that these risks may have a material impact on your transactions using the Application, which may result in, among other things, failing to fulfill transactions at your desired price or at all. This warning and others provided in these Terms in no way evidence or represent an on-going duty to alert you to all of the potential risks of using or accessing the Application.

**6.4.**  The Application and other information available when using the Application may not always be entirely accurate, complete, or current and may also include technical inaccuracies or typographical errors. To continue to provide you with as complete and accurate information as possible, information may be changed or updated from time to time without notice, including, without limitation, information regarding our policies. All decisions based on information contained on the Application are your sole responsibility. No representation is made as to the accuracy, completeness, or appropriateness for any particular purpose of any pricing information distributed via the Application.

**6.5.**  Any reference to a type of crypto asset on the Application does not indicate our approval or disapproval of the technology on which the crypto asset relies, and should not be used as a substitute for your understanding of the risks specific to each type of crypto asset.

**6.6.**  Transactions entered into in connection with the Application are irreversible, final and not subject to refunds. Accordingly, losses due to fraudulent or accidental transactions may not be recoverable. You acknowledge and agree that you will access and use the Application at your own risk, and accept all consequences of using the Application, including the risk that you may lose access to your crypto assets indefinitely. All transaction decisions are made solely by you. Notwithstanding anything in these Terms, we accept no responsibility whatsoever for, and will in no circumstances be liable to you in connection with, your use of the Application for performing crypto asset transactions.

**6.7.**  Changes in laws, regulations or directives concerning crypto assets may impact the value of crypto assets and their acceptance by users, merchants and service providers.

**6.8.**  You hereby acknowledge and agree that Stack Wallet will have no responsibility or liability for, the risks set forth in this Section 7. You hereby irrevocably waive, release and discharge all claims, whether known or unknown to you, against Stack Wallet, its affiliates, and their respective shareholders, members, directors, officers, employees, agents, and representatives, suppliers, and contractors related to any of the risks set forth in this Section 7.

## 7.  **Personal Data**

**7.1**.  You consent to us accessing, processing and retaining any personal data you provide to us when accessing our Application in accordance with our Privacy Policy. Please see our Privacy Policy, which is incorporated herein by reference and available here at <https://stackwallet.com/privacy-policy> for further information about how we process your Personal Data, and the rights you have in respect of this.

## 8.  **Indemnification**

**8.1.**  You will defend, indemnify, and hold harmless Stack Wallet, its affiliates, and its and its affiliates' respective stockholders, members, directors, officers, managers, employees, attorneys, agents, representatives, suppliers, and contractors (collectively, "**Indemnified Parties**") from any claims, disputes, demands, liabilities, damages, losses, and costs and expenses, including without limitation reasonable attorneys' fees, arising out of or relating to (a) your use of, or conduct in connection with, the Application; or (b) your violation of these Terms.

## 9.  **Disclosures; Disclaimers**

**9.1.**  Stack Wallet shall not be responsible in any way for any transactions you enter into with other users. You agree that Stack Wallet will not be liable for any loss or damages of any sort incurred as the result of any interactions between you and other users.

**9.2.**  You acknowledge that your data on the Application may become irretrievably lost or corrupted or temporarily unavailable due to a variety of causes, and agree that, to the maximum extent permitted under Applicable Law, we will not be liable for any loss or damage caused by denial-of-service attacks, software failures, viruses or other technologically harmful materials (including those which may infect your computer equipment), protocol changes by third-party providers, internet outages, force majeure events or other disasters, scheduled or unscheduled maintenance, or other causes either within or outside our control.

**9.3.**  The disclaimer of implied warranties contained herein may not apply if and to the extent such warranties cannot be excluded or limited under the Applicable Law of the jurisdiction in which you reside.

**9.4.**  THE APPLICATION IS PROVIDED ON AN "AS-IS" AND "AS AVAILABLE" BASIS, AND STACK WALLET (AND OUR SUPPLIERS) EXPRESSLY DISCLAIM ANY AND ALL WARRANTIES AND CONDITIONS OF ANY KIND, WHETHER EXPRESS, IMPLIED, OR STATUTORY, INCLUDING ALL WARRANTIES OR CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, QUIET ENJOYMENT, ACCURACY, OR NON-INFRINGEMENT. WE (AND OUR SUPPLIERS) MAKE NO WARRANTY THAT THE APPLICATION WILL MEET YOUR REQUIREMENTS, WILL BE AVAILABLE ON AN UNINTERRUPTED, TIMELY, SECURE, OR ERROR-FREE BASIS, OR WILL BE ACCURATE, RELIABLE, FREE OF VIRUSES OR OTHER HARMFUL CODE, COMPLETE, LEGAL, OR SAFE. IF APPLICABLE LAW REQUIRES ANY WARRANTIES WITH RESPECT TO THE APPLICATION, ALL SUCH WARRANTIES ARE LIMITED IN DURATION TO NINETY (90) DAYS FROM THE DATE OF FIRST USE.

STACK WALLET DOES NOT ENDORSE ANY OTHER THIRD PARTY AND SHALL NOT BE RESPONSIBLE IN ANY WAY FOR ANY TRANSACTIONS YOU ENTER INTO WITH OTHER USERS. YOU AGREE THAT STACK WALLET WILL NOT BE LIABLE FOR ANY LOSS OR DAMAGES OF ANY SORT INCURRED AS THE RESULT OF ANY INTERACTIONS BETWEEN YOU AND OTHER USERS.

SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSION MAY NOT APPLY TO YOU. SOME JURISDICTIONS DO NOT ALLOW LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY LASTS, SO THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

## 10.  **Limitation of Liability**

**10.1**  TO THE MAXIMUM EXTENT PERMITTED BY LAW, IN NO EVENT SHALL STACK WALLET BE LIABLE TO YOU OR ANY THIRD PARTY FOR ANY LOST PROFITS, LOST DATA, OR ANY INDIRECT, CONSEQUENTIAL, EXEMPLARY, INCIDENTAL, SPECIAL OR PUNITIVE DAMAGES ARISING FROM OR RELATING TO THESE TERMS OR YOUR USE OF, OR INABILITY TO USE, THE APPLICATION, EVEN IF STACK WALLET HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. ACCESS TO, AND USE OF, THE APPLICATION IS AT YOUR OWN DISCRETION AND RISK, AND YOU WILL BE SOLELY RESPONSIBLE FOR ANY DAMAGE TO YOUR DEVICE OR COMPUTER SYSTEM, OR LOSS OF DATA RESULTING THEREFROM.

**10.2.**  TO THE MAXIMUM EXTENT PERMITTED BY LAW, NOTWITHSTANDING ANYTHING TO THE CONTRARY CONTAINED HEREIN, OUR LIABILITY TO YOU FOR ANY DAMAGES ARISING FROM OR RELATED TO THIS AGREEMENT (FOR ANY CAUSE WHATSOEVER AND REGARDLESS OF THE FORM OF THE ACTION), WILL AT ALL TIMES BE LIMITED TO A MAXIMUM OF FIFTY US DOLLARS (U.S. $50). THE EXISTENCE OF MORE THAN ONE CLAIM WILL NOT ENLARGE THIS LIMIT.

**10.3.**  SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OR EXCLUSION OF LIABILITY FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATION OR EXCLUSION MAY NOT APPLY TO YOU.

## 11.  **Dispute Resolution & Arbitration**

**11.1**.  Please read this Arbitration Agreement carefully. It is part of your contract with Stack Wallet and affects your rights. It contains procedures for mandatory binding arbitration and a class action waiver.

(a)  **Applicability of Arbitration Agreement.** All claims and disputes (excluding claims for injunctive or other equitable relief as set forth below) between Stack Wallet and any user that cannot be resolved informally or in small claims court shall be resolved by binding arbitration on an individual basis under the terms of this Arbitration Agreement. Unless otherwise agreed to, all arbitration proceedings shall be held in English. This Arbitration Agreement applies to you and Stack Wallet, and to any subsidiaries, affiliates, agents, employees, predecessors in interest, successors, and assigns, as well as all authorized or unauthorized users or beneficiaries of services or goods provided under the Terms.

(b)  **Notice Requirement and Informal Dispute Resolution**. Before either party may seek arbitration, the party must first send to the other party a written Notice of Dispute ("**Notice**") describing the nature and basis of the claim or dispute, and the requested relief. Each party hereby irrevocably and unconditionally consents to service of process through personal service at their corporate headquarters, registered address, or primary address (for individuals or sole proprietors). Nothing in these Terms will affect the right of any party to serve process in any other manner permitted by Law. After the Notice is received, you and Stack Wallet may attempt to resolve the claim or dispute informally. If you and Stack Wallet do not resolve the claim or dispute within thirty (30) days after the Notice is received, either party may begin an arbitration proceeding. The amount of any settlement offer made by any party may not be disclosed to the arbitrator until after the arbitrator has determined the amount of the award, if any, to which either party is entitled.

(c)  **Arbitration Rules.** Arbitration shall be initiated through the American Arbitration Association ("**AAA**"), an established alternative dispute resolution provider ("**ADR Provider**") that offers arbitration as set forth in this section. If AAA is not available to arbitrate, the parties shall agree to select an alternative ADR Provider. The rules of the ADR Provider shall govern all aspects of the arbitration, including but not limited to the method of initiating and/or demanding arbitration, except to the extent such rules are in conflict with the Terms. The AAA Consumer Arbitration Rules ("**Arbitration Rules**") governing the arbitration are available online at www.adr.org or by calling the AAA at 1-800-778-7879. The arbitration shall be conducted by a single, neutral arbitrator. Each party shall bear its own costs (including attorney's fees) and disbursements arising out of the arbitration and shall pay an equal share of the fees and costs of the ADR Provider.

(d)  **Time Limits**. If you or Stack Wallet pursue arbitration, the arbitration action must be initiated and/or demanded within the statute of limitations (i.e., the legal deadline for filing a claim) and within any deadline imposed under the AAA Rules for the pertinent claim.

(e)  **Authority of Arbitrator.** If arbitration is initiated, the arbitrator will decide the rights and liabilities, if any, of you and Stack Wallet, and the dispute will not be consolidated with any other matters or joined with any other cases or parties. The arbitrator shall have the authority to grant motions dispositive of all or part of any claim. The arbitrator shall have the authority to award monetary damages, and to grant any non-monetary remedy or relief available to an individual under applicable law, the AAA Rules, and the Terms. The arbitrator shall issue a written award and statement of decision describing the essential findings and conclusions on which the award is based, including the calculation of any damages awarded. The arbitrator has the same authority to award relief on an individual basis that a judge in a court of law would have. The award of the arbitrator is final and binding upon you and Stack Wallet.

(f)  **Waiver of Jury Trial.** THE PARTIES HEREBY WAIVE THEIR CONSTITUTIONAL AND STATUTORY RIGHTS TO GO TO COURT AND HAVE A TRIAL IN FRONT OF A JUDGE OR A JURY, INSTEAD ELECTING THAT ALL CLAIMS AND DISPUTES SHALL BE RESOLVED BY ARBITRATION UNDER THIS ARBITRATION AGREEMENT. IN THE EVENT ANY LITIGATION SHOULD ARISE BETWEEN YOU AND STACK WALLET IN ANY STATE OR FEDERAL COURT IN A SUIT TO VACATE OR ENFORCE AN ARBITRATION AWARD OR OTHERWISE, YOU WAIVE ALL RIGHTS TO A JURY TRIAL, INSTEAD ELECTING THAT THE DISPUTE BE RESOLVED BY A JUDGE.

(g)  **Waiver of Class or Consolidated Actions**. ALL CLAIMS AND DISPUTES WITHIN THE SCOPE OF THIS ARBITRATION AGREEMENT MUST BE ARBITRATED OR LITIGATED ON AN INDIVIDUAL BASIS AND NOT ON A CLASS BASIS, AND CLAIMS OF MORE THAN ONE USER CANNOT BE ARBITRATED OR LITIGATED JOINTLY OR CONSOLIDATED WITH THOSE OF ANY OTHER USER.

(h)  **Confidentiality**. All aspects of the arbitration proceeding, including but not limited to the award of the arbitrator and compliance therewith, shall be strictly confidential. The parties agree to maintain confidentiality unless otherwise required by law. This paragraph shall not prevent a party from submitting to a court of law any information necessary to enforce this Agreement, to enforce an arbitration award, or to seek injunctive or equitable relief.

(i)  **Severability.** If any part or parts of this Arbitration Agreement are found under the law to be invalid or unenforceable by a court of competent jurisdiction, then such specific part or parts shall be of no force and effect and shall be severed and the remainder of the Agreement shall continue in full force and effect.

(j) **Right to Waive.** Any or all of the rights and limitations set forth in this Arbitration Agreement may be waived by the party against whom the claim is asserted. Such waiver shall not waive or affect any other portion of this Arbitration Agreement.

(k) **Survival of Agreement.** This Arbitration Agreement will survive the termination of your relationship with Stack Wallet.

(l) **Small Claims Court.** Notwithstanding the foregoing, either you or Stack Wallet may bring an individual action in small claims court.

(m) **Emergency Equitable Relief.** Notwithstanding the foregoing, either party may seek emergency equitable relief before a state or federal court in order to maintain the status quo pending arbitration. A request for interim measures shall not be deemed a waiver of any other rights or obligations under this Arbitration Agreement.

(n) **Claims Not Subject to Arbitration**. Notwithstanding the foregoing, claims of defamation, violation of the Computer Fraud and Abuse Act, and infringement or misappropriation of the other party's patent, copyright, trademark or trade secrets shall not be subject to this Arbitration Agreement.

(o) **Courts.** In any circumstances where the foregoing Arbitration Agreement permits the parties to litigate in court, the parties hereby agree to submit to the personal jurisdiction of the courts located within the State of New Mexico, for such purpose.

## 12.  **Governing Law**

**12.1.**  The interpretation and enforcement of these Terms, and any dispute related to these Terms or the Application, will be governed by and construed and enforced under the laws of the State of New Mexico, as applicable, without regard to conflict of law rules or principles (whether of the State of New Mexico or any other jurisdiction) that would cause the application of the laws of any other jurisdiction. You agree that we may initiate a proceeding related to the enforcement or validity of our intellectual property rights in any court having jurisdiction. For any other proceeding that is not subject to arbitration under these Terms, the state and federal courts located in the State of New Mexico will have exclusive jurisdiction. You waive any objection to venue in any such courts.

## 13.  **General Provisions**

**13.1.**  We may modify these Terms at any time at our sole discretion. If we make any substantial changes to these Terms, we may notify you by prominently posting notice of the changes on our Application. Any changes to these Terms will be effective immediately upon our posting of notice of the changes on our Application. Your use of our Application following notice of such changes shall indicate your acknowledgement of such changes and agreement to be bound by the terms and conditions of such changes.

**13.2.**  You consent to receive all communications, agreements, documents, receipts, notices, and disclosures (collectively, our "**Communications**") that we provide in connection with these Terms or the use of the Application electronically. You agree that we may provide our Communications to you by posting them on the Application. You may also contact us with questions, complaints, or claims concerning the Application at <support@stackwallet.com>.

**13.3.**  Any right or remedy of Stack Wallet set forth in these Terms is in addition to, and not in lieu of, any other right or remedy whether described in these Terms, under Applicable Law, at law, or in equity. The failure or delay of Stack Wallet in exercising any right, power, or privilege under these Terms shall not operate as a waiver thereof.

**13.4.**  The invalidity or unenforceability of any of these Terms shall not affect the validity or enforceability of any other of these Terms, all of which shall remain in full force and effect.

**13.5.**  We will have no responsibility or liability for any failure or delay in performance of the Application, or any loss or damage that you may incur, due to any circumstance or event beyond our control, including without limitation any flood, extraordinary weather conditions, earthquake, or other act of God, fire, war, insurrection, riot, labor dispute, accident, action of government, communications, power failure, or equipment or software malfunction.

**13.6.**  In the event of any conflict between these Terms and any other agreement you may have with us, these Terms will control unless the other agreement specifically identifies these Terms and declares that the other agreement supersedes these Terms.

**13.7.**  A waiver by Stack Wallet of any right or remedy under these Terms shall only be effective if it is in writing, executed by a duly authorized representative of Stack Wallet and shall apply only to the circumstances for which it is given. Our failure to exercise or enforce any right or remedy under these Terms shall not operate as a waiver of such right or remedy, nor shall it prevent any future exercise or enforcement of such right or remedy. No single or partial exercise of any right or remedy shall preclude or restrict the further exercise of any such right or remedy or other rights or remedies.

**13.8.**  Copyright © 2022 Stack Wallet LLC. All rights reserved. All trademarks, logos and service marks ("**Marks**") displayed on the Application are our property or the property of other third parties. You are not permitted to use these Marks without our prior written consent or the consent of such third party which may own the Marks.

**13.9.**  We welcome feedback, comment, ideas, and suggestions for improvements to the Services ("**Feedback**"). You can submit Feedback by emailing us at <support@stackwallet.com>. You grant to us a non-exclusive, worldwide, perpetual, irrevocable, fully-paid, royalty-free, sublicensable and transferable license under any and all intellectual property rights that you own or control to use, copy, modify, create derivative works based upon and otherwise exploit the Feedback for any purpose.